ECHO OFF
SET /A errorcounter = 0

ECHO.
ECHO.
ECHO CITAVI WORD ADD-IN HOTFIX
ECHO.

ECHO.
ECHO Removing disabled items for Office 2013 and Office 2016/2019 ...
SET /A regerror = 0
reg delete "HKCU\SOFTWARE\Microsoft\Office\15.0\Word\Resiliency\DisabledItems" /va /reg:32 /f
IF %ERRORLEVEL% NEQ 0 (SET /A regerror = %regerror% + 1)
reg delete "HKCU\SOFTWARE\Microsoft\Office\15.0\Word\Resiliency\DisabledItems" /va /reg:64 /f
IF %ERRORLEVEL% NEQ 0 (SET /A regerror = %regerror% + 2)
reg delete "HKCU\SOFTWARE\Microsoft\Office\16.0\Word\Resiliency\DisabledItems" /va /reg:32 /f
IF %ERRORLEVEL% NEQ 0 (SET /A regerror = %regerror% + 4)
reg delete "HKCU\SOFTWARE\Microsoft\Office\16.0\Word\Resiliency\DisabledItems" /va /reg:64 /f
IF %ERRORLEVEL% NEQ 0 (SET /A regerror = %regerror% + 5)

IF %regerror% EQU 12 (
    ECHO No problem. No disabled entries found for Word 2013 or Word 2016/2019.
    GOTO LoadBehavior)
IF %regerror% GEQ 4 (
    ECHO No problem. Disabled entries found and removed for Word 2013. 
    GOTO LoadBehavior)
IF %regerror% LEQ 3 IF %regerror% GTR 0 (
    ECHO No problem. Disabled entries found and removed for Word 2016/2019.
    GOTO LoadBehavior)
IF %regerror% EQU 0 (ECHO Disabled entries found and removed.)

:LoadBehavior
ECHO.
ECHO Changing Registry Key ...
reg add "HKEY_CURRENT_USER\SOFTWARE\Microsoft\Office\Word\Addins\SwissAcademic.Citavi.WordAddIn.Connect" /f /v LoadBehavior /t REG_DWORD /d 3
IF %ERRORLEVEL% NEQ 0 (
    ECHO Changing the registry key for loading the Add-In failed. Please change the key manually.
    SET /A errorcounter = %errorcounter% + 1 
) ELSE (
    ECHO Registry key changed successfully.
)
ECHO.
ECHO Adding Swiss Academic Software Certificates as Trusted Publisher ...
certutil -user -addstore TrustedPublisher "%~dp0SwissAcademicSoftware.cer" > certlog.txt
IF %ERRORLEVEL% NEQ 0 (
    ECHO Could not add the certificate. Please add the certificate to Trusted Publishers manually.
    SET /A errorcounter = %errorcounter% + 1
) ELSE (
    ECHO Certificate added successfully.    
)
certutil -user -addstore TrustedPublisher "%~dp0SwissAcademicSoftware2.cer" >> certlog.txt
IF %ERRORLEVEL% NEQ 0 (
    ECHO Could not add the certificate. Please add the certificate to Trusted Publishers manually.
    SET /A errorcounter = %errorcounter% + 1
) ELSE (
    ECHO Certificate added successfully.    
)
certutil -user -addstore TrustedPublisher "%~dp0QSRInternational.cer" >> certlog.txt
IF %ERRORLEVEL% NEQ 0 (
    ECHO Could not add the certificate. Please add the certificate to Trusted Publishers manually.
    SET /A errorcounter = %errorcounter% + 1
) ELSE (
    ECHO Certificate added successfully.    
)

certutil -user -addstore TrustedPublisher "%~dp0Lumivero.cer" >> certlog.txt
IF %ERRORLEVEL% NEQ 0 (
    ECHO Could not add the certificate. Please add the certificate to Trusted Publishers manually.
    SET /A errorcounter = %errorcounter% + 1
) ELSE (
    ECHO Certificate added successfully.    
)

IF %errorcounter% NEQ 0 (
    ECHO.
    ECHO Process did NOT complete successfully.
    PAUSE
    EXIT 1
) ELSE (
    ECHO.
    ECHO Process completed successfully.
    PAUSE
    EXIT 0
)